Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet.impl
Class FacetPackageImpl

    java.lang.Object
      EPackageImpl
          org.eclipse.gmt.modisco.infra.facet.impl.FacetPackageImpl

All Implemented Interfaces:
  FacetPackage

    public class FacetPackageImpl

extends EPackageImpl
implements FacetPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.gmt.modisco.infra.facet.FacetPackage
`FacetPackage.Literals`

Field Summary

Fields inherited from interface org.eclipse.gmt.modisco.infra.facet.FacetPackage
`eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, FACET, FACET__ABSTRACT, FACET__CONDITION_QUERY, FACET__DEFAULT_VALUE, FACET__EALL_ATTRIBUTES, FACET__EALL_CONTAINMENTS, FACET__EALL_GENERIC_SUPER_TYPES, FACET__EALL_OPERATIONS, FACET__EALL_REFERENCES, FACET__EALL_STRUCTURAL_FEATURES, FACET__EALL_SUPER_TYPES, FACET__EANNOTATIONS, FACET__EATTRIBUTES, FACET__EGENERIC_SUPER_TYPES, FACET__EID_ATTRIBUTE, FACET__EOPERATIONS, FACET__EPACKAGE, FACET__EREFERENCES, FACET__ESTRUCTURAL_FEATURES, FACET__ESUPER_TYPES, FACET__ETYPE_PARAMETERS, FACET__FACET_SET, FACET__INSTANCE_CLASS, FACET__INSTANCE_CLASS_NAME, FACET__INSTANCE_TYPE_NAME, FACET__INTERFACE, FACET__NAME, FACET_ATTRIBUTE, FACET_ATTRIBUTE__CHANGEABLE, FACET_ATTRIBUTE__DEFAULT_VALUE, FACET_ATTRIBUTE__DEFAULT_VALUE_LITERAL, FACET_ATTRIBUTE__DERIVED, FACET_ATTRIBUTE__EANNOTATIONS, FACET_ATTRIBUTE__EATTRIBUTE_TYPE, FACET_ATTRIBUTE__ECONTAINING_CLASS, FACET_ATTRIBUTE__EGENERIC_TYPE, FACET_ATTRIBUTE__ETYPE, FACET_ATTRIBUTE__ID, FACET_ATTRIBUTE__LOWER_BOUND, FACET_ATTRIBUTE__MANY, FACET_ATTRIBUTE__NAME, FACET_ATTRIBUTE__ORDERED, FACET_ATTRIBUTE__REQUIRED, FACET_ATTRIBUTE__TRANSIENT, FACET_ATTRIBUTE__UNIQUE, FACET_ATTRIBUTE__UNSETTABLE, FACET_ATTRIBUTE__UPPER_BOUND, FACET_ATTRIBUTE__VALUE_QUERY, FACET_ATTRIBUTE__VOLATILE, FACET_ATTRIBUTE_FEATURE_COUNT, FACET_FEATURE_COUNT, FACET_REFERENCE, FACET_REFERENCE__CHANGEABLE, FACET_REFERENCE__CONTAINER, FACET_REFERENCE__CONTAINMENT, FACET_REFERENCE__DEFAULT_VALUE, FACET_REFERENCE__DEFAULT_VALUE_LITERAL, FACET_REFERENCE__DERIVED, FACET_REFERENCE__EANNOTATIONS, FACET_REFERENCE__ECONTAINING_CLASS, FACET_REFERENCE__EGENERIC_TYPE, FACET_REFERENCE__EKEYS, FACET_REFERENCE__EOPPOSITE, FACET_REFERENCE__EREFERENCE_TYPE, FACET_REFERENCE__ETYPE, FACET_REFERENCE__LOWER_BOUND, FACET_REFERENCE__MANY, FACET_REFERENCE__NAME, FACET_REFERENCE__ORDERED, FACET_REFERENCE__REQUIRED, FACET_REFERENCE__RESOLVE_PROXIES, FACET_REFERENCE__TRANSIENT, FACET_REFERENCE__UNIQUE, FACET_REFERENCE__UNSETTABLE, FACET_REFERENCE__UPPER_BOUND, FACET_REFERENCE__VALUE_QUERY, FACET_REFERENCE__VOLATILE, FACET_REFERENCE_FEATURE_COUNT, FACET_SET, FACET_SET__EANNOTATIONS, FACET_SET__ECLASSIFIERS, FACET_SET__EFACTORY_INSTANCE, FACET_SET__ESUBPACKAGES, FACET_SET__ESUPER_PACKAGE, FACET_SET__EXTENDED_PACKAGE, FACET_SET__FACETS, FACET_SET__NAME, FACET_SET__NS_PREFIX, FACET_SET__NS_URI, FACET_SET_FEATURE_COUNT, FACET_STRUCTURAL_FEATURE, FACET_STRUCTURAL_FEATURE__VALUE_QUERY, FACET_STRUCTURAL_FEATURE_FEATURE_COUNT, SHORTCUT, SHORTCUT__CHANGEABLE, SHORTCUT__CONTAINER, SHORTCUT__CONTAINMENT, SHORTCUT__DEFAULT_VALUE, SHORTCUT__DEFAULT_VALUE_LITERAL, SHORTCUT__DERIVED, SHORTCUT__EANNOTATIONS, SHORTCUT__ECONTAINING_CLASS, SHORTCUT__EGENERIC_TYPE, SHORTCUT__EKEYS, SHORTCUT__EOPPOSITE, SHORTCUT__EREFERENCE_TYPE, SHORTCUT__ETYPE, SHORTCUT__LOWER_BOUND, SHORTCUT__MANY, SHORTCUT__NAME, SHORTCUT__OPPOSITE_REFERENCE, SHORTCUT__ORDERED, SHORTCUT__PATH, SHORTCUT__REQUIRED, SHORTCUT__RESOLVE_PROXIES, SHORTCUT__TRANSIENT, SHORTCUT__UNIQUE, SHORTCUT__UNSETTABLE, SHORTCUT__UPPER_BOUND, SHORTCUT__VOLATILE, SHORTCUT_FEATURE_COUNT`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`EReference` | `getFacet_ConditionQuery()`
`EReference` | `getFacet_FacetSet()`
`EClass` | `getFacet()`
`EClass` | `getFacetAttribute()`
`FacetFactory` | `getFacetFactory()`
`EClass` | `getFacetReference()`
`EReference` | `getFacetSet_ExtendedPackage()`
`EReference` | `getFacetSet_Facets()`
`EClass` | `getFacetSet()`
`EReference` | `getFacetStructuralFeature_ValueQuery()`
`EClass` | `getFacetStructuralFeature()`
`EReference` | `getShortcut_OppositeReference()`
`EReference` | `getShortcut_Path()`
`EClass` | `getShortcut()`
`static FacetPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public static FacetPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `FacetPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `FacetPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getFacet

    public EClass getFacet()

  Specified by:
    `getFacet` in interface `FacetPackage`
  Returns:
    the meta object for class 'Facet'.
  See Also:
    `Facet`

### getFacet_ConditionQuery

    public EReference getFacet_ConditionQuery()

  Specified by:
    `getFacet_ConditionQuery` in interface `FacetPackage`
  Returns:
    the meta object for the reference 'Condition Query'.
  See Also:
    `Facet.getConditionQuery()`, `FacetPackage.getFacet()`

### getFacet_FacetSet

    public EReference getFacet_FacetSet()

  Specified by:
    `getFacet_FacetSet` in interface `FacetPackage`
  Returns:
    the meta object for the reference 'Facet Set'.
  See Also:
    `Facet.getFacetSet()`, `FacetPackage.getFacet()`

### getFacetAttribute

    public EClass getFacetAttribute()

  Specified by:
    `getFacetAttribute` in interface `FacetPackage`
  Returns:
    the meta object for class 'Attribute'.
  See Also:
    `FacetAttribute`

### getFacetReference

    public EClass getFacetReference()

  Specified by:
    `getFacetReference` in interface `FacetPackage`
  Returns:
    the meta object for class 'Reference'.
  See Also:
    `FacetReference`

### getFacetStructuralFeature

    public EClass getFacetStructuralFeature()

  Specified by:
    `getFacetStructuralFeature` in interface `FacetPackage`
  Returns:
    the meta object for class 'Structural Feature'.
  See Also:
    `FacetStructuralFeature`

### getFacetStructuralFeature_ValueQuery

    public EReference getFacetStructuralFeature_ValueQuery()

  Specified by:
    `getFacetStructuralFeature_ValueQuery` in interface `FacetPackage`
  Returns:
    the meta object for the reference 'Value Query'.
  See Also:
    `FacetStructuralFeature.getValueQuery()`, `FacetPackage.getFacetStructuralFeature()`

### getFacetSet

    public EClass getFacetSet()

  Specified by:
    `getFacetSet` in interface `FacetPackage`
  Returns:
    the meta object for class 'Set'.
  See Also:
    `FacetSet`

### getFacetSet_ExtendedPackage

    public EReference getFacetSet_ExtendedPackage()

  Specified by:
    `getFacetSet_ExtendedPackage` in interface `FacetPackage`
  Returns:
    the meta object for the reference 'Extended Package'.
  See Also:
    `FacetSet.getExtendedPackage()`, `FacetPackage.getFacetSet()`

### getFacetSet_Facets

    public EReference getFacetSet_Facets()

  Specified by:
    `getFacetSet_Facets` in interface `FacetPackage`
  Returns:
    the meta object for the reference list 'Facets'.
  See Also:
    `FacetSet.getFacets()`, `FacetPackage.getFacetSet()`

### getShortcut

    public EClass getShortcut()

  Specified by:
    `getShortcut` in interface `FacetPackage`
  Returns:
    the meta object for class 'Shortcut'.
  See Also:
    `Shortcut`

### getShortcut_Path

    public EReference getShortcut_Path()

  Specified by:
    `getShortcut_Path` in interface `FacetPackage`
  Returns:
    the meta object for the reference list 'Path'.
  See Also:
    `Shortcut.getPath()`, `FacetPackage.getShortcut()`

### getShortcut_OppositeReference

    public EReference getShortcut_OppositeReference()

  Specified by:
    `getShortcut_OppositeReference` in interface `FacetPackage`
  Returns:
    the meta object for the reference 'Opposite Reference'.
  See Also:
    `Shortcut.getOppositeReference()`, `FacetPackage.getShortcut()`

### getFacetFactory

    public FacetFactory getFacetFactory()

  Specified by:
    `getFacetFactory` in interface `FacetPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD